> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bungee.exchange/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all supported chains



## OpenAPI

````yaml https://public-backend.bungee.exchange/swagger-json get /api/v1/supported-chains
openapi: 3.0.0
info:
  title: Bungee API Explorer
  description: API Endpoints for Bungee Exchange
  version: '1.0'
  contact: {}
servers:
  - url: https://public-backend.bungee.exchange
    description: Public Sandbox
  - url: https://dedicated-backend.bungee.exchange
    description: Dedicated Backend
  - url: https://backend.bungee.exchange
    description: Frontend/Direct
security: []
tags: []
paths:
  /api/v1/supported-chains:
    get:
      tags:
        - Supported chains
      summary: Get all supported chains
      operationId: AppController_supportedChains_v1
      parameters: []
      responses:
        '200':
          description: Retrieve all supported chains and their details
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SuccessResponseDto'
                  - properties:
                      result:
                        type: array
                        items:
                          $ref: '#/components/schemas/ChainDetails'
components:
  schemas:
    SuccessResponseDto:
      type: object
      properties:
        success:
          type: boolean
          description: flag indicating whether the req was successful
          default: true
        statusCode:
          type: number
          description: Http status code
          default: 200
        message:
          type: string
          description: error message if request failed
          nullable: true
      required:
        - success
        - statusCode
    ChainDetails:
      type: object
      properties:
        chainId:
          type: number
          description: Id of chain
          example: 10
        name:
          type: string
          description: Name of chain
          example: Optimism
        icon:
          type: string
          description: URL for icon of chain
          example: https://media.socket.tech/networks/optimism.svg
        currency:
          description: Currency details for the chain
          allOf:
            - $ref: '#/components/schemas/CurrencyDetails'
        explorers:
          description: List of explorers for the chain
          example:
            - https://optimistic.etherscan.io
          type: array
          items:
            type: string
        sendingEnabled:
          type: boolean
          description: Flag indicating whether sending of tokens is supported from chain
          example: true
        receivingEnabled:
          type: boolean
          description: Flag indicating whether receiving of tokens is supported to chain
          example: true
        isAutoEnabled:
          type: boolean
          description: Flag indicating if auto mode is enabled
          example: true
        isManualEnabled:
          type: boolean
          description: Flag indicating if manual mode is enabled
          example: true
        isDepositEnabled:
          type: boolean
          description: Flag indicating if the deposit flow is enabled for this chain
          example: true
        dexes:
          description: List of supported DEXes for the chain
          example:
            - rainbow
            - zeroxv2
            - oneinch
            - uniswapV3
            - openocean
            - kyberswap
          type: array
          items:
            type: string
        bridges:
          description: List of supported bridges for the chain
          example:
            - across
            - mayan
            - symbiosis
            - celer
            - synapse
            - stargate-v2
            - cctp-v2
            - cctp
            - cctp-v2-fast
          type: array
          items:
            type: string
      required:
        - chainId
        - name
        - icon
        - currency
        - explorers
        - sendingEnabled
        - receivingEnabled
        - isAutoEnabled
        - isManualEnabled
        - isDepositEnabled
        - dexes
        - bridges
    CurrencyDetails:
      type: object
      properties:
        address:
          type: string
          description: Address of the native currency
          example: '0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee'
        name:
          type: string
          description: Name of the native currency
          example: Ether
        symbol:
          type: string
          description: Symbol of the native currency
          example: ETH
        decimals:
          type: number
          description: Number of decimals for the native currency
          example: 18
        icon:
          type: string
          description: URL for icon of the native currency
          example: https://media.socket.tech/networks/ethereum.svg
        minNativeCurrencyForGas:
          type: string
          description: Minimum amount of native currency required for gas
          example: '900000000000000'
      required:
        - address
        - name
        - symbol
        - decimals
        - icon
        - minNativeCurrencyForGas

````